#include "GibbsDP.h"

struct INPUTPARAMETER
{
	CString strInformation;
	bool bReverse;			
	bool bMotifMode;
	bool bFixModuleLength;
	bool bSampleParameters;
	bool bISBF;
	bool bInputBackground;
	bool bInitialPWM;
	CString strInputSeq;
	CString strInputBgPr;
	CString strOutput;
	CString strInputPWM;
	int	nMaxIteration;
	int nMotifNumber;
	int nMinWidth;
	int nMaxWidth;
	int nModuleLength;
	int nRun;
	double dblMotifCutoff;
};

void PrintReadme();
void SetDefaultParam(INPUTPARAMETER*);
void ParseInputParam(INPUTPARAMETER*, int, char*[]);
void RunModSampling(INPUTPARAMETER*);
