/////////////////////////////////////////////
//String class

class CString
{
//attribute
public:
	char* m_pString;
	int m_nstrLength;

//Construntion/destruction
public:
	CString();
	CString(const CString&);
	CString(char);

	~CString();

//Operators
public:
	//Multiple steps operators
	CString operator +(const CString& );
	CString operator +(const char* );

	//Single step operators
	const CString& operator =(const CString& );
	const CString& operator =(const char*);
	const CString& operator =(const char);
	bool operator ==(const CString&);
	char operator [](int);

//Operations
	int GetLength();
	CString Left(int);
	CString Right(int);
	CString Mid(int,int);
	void Mid(int,int,CString*);
	void SetAt(int,char);
	int Find(const CString&);
	int Find(const CString&,int);
	int Find(const char*);
	int Find(const char*,int);
};
